Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package backend
  Definition Classes
    nsc
-  package classpath
  Definition Classes
    nsc
-  package doc
  Definition Classes
    nsc
-  package interactive
  Definition Classes
    nsc
-  package interpreter

  The main REPL related classes and values are as follows.

  The main REPL related classes and values are as follows. In addition to standard compiler classes Global and Settings, there are:

  History: an interface for session history. Completion: an interface for tab completion. ILoop (formerly InterpreterLoop): The umbrella class for a session. IMain (formerly Interpreter): Handles the evolving state of the session and handles submitting code to the compiler and handling the output. InteractiveReader: how ILoop obtains input. History: an interface for session history. Completion: an interface for tab completion. Power: a repository for more advanced/experimental features.

  ILoop contains { in: InteractiveReader, intp: IMain, settings: Settings, power: Power } InteractiveReader contains { history: History, completion: Completion } IMain contains { global: Global }

  Definition Classes
    nsc
-  package io
  Definition Classes
    nsc
-  package javac
  Definition Classes
    nsc
-  package plugins
  Definition Classes
    nsc
-  package reporters
  Definition Classes
    nsc
-  package settings
  Definition Classes
    nsc
-  package symtab
  Definition Classes
    nsc
-  package transform
  Definition Classes
    nsc
-  package typechecker
  Definition Classes
    nsc
-  package util
  Definition Classes
    nsc
- ClassPathMemoryConsumptionTester
- CommonRunner
- CompilationUnits
- CompileClient
- CompileServer
- CompileSocket
- CompilerCommand
- ConsoleWriter
- Driver
- EvalLoop
- GenericRunnerCommand
- GenericRunnerSettings
- Global
- GlobalSymbolLoaders
- HasCompileSocket
- Interpreter
- InterpreterLoop
- JarRunner
- Main
- MainBench
- MainClass
- MainGenericRunner
- MainTokenMetric
- NewLinePrintWriter
- ObjectRunner
- OfflineCompilerCommand
- Parsing
- PhaseAssembly
- Properties
- Reporting
- ScalaDoc
- ScalaDocReporter
- ScriptRunner
- Settings
- StandardCompileClient
- StandardCompileServer
- SubComponent

c

scala.tools.nsc

# StandardCompileClient 

###

#### class StandardCompileClient extends HasCompileSocket with CompileOutputCommon

The client part of the fsc offline compiler. Instead of compiling things itself, it send requests to a CompileServer.

Source
  CompileClient.scala

Linear Supertypes
CompileOutputCommon, HasCompileSocket, AnyRef, Any
Known Subclasses
CompileClient
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. StandardCompileClient
2. CompileOutputCommon
3. HasCompileSocket
4. AnyRef
5. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new StandardCompileClient()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from StandardCompileClient to any2stringadd[StandardCompileClient] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (StandardCompileClient, B)
   Implicit
     This member is added by an implicit conversion from StandardCompileClient to ArrowAssoc[StandardCompileClient] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def compileOnServer(sock: Socket, args: Seq[String]): Boolean
   Definition Classes
     HasCompileSocket
9.  lazy val compileSocket: CompileSocket
   Definition Classes
     StandardCompileClient → HasCompileSocket
10.  def echo(msg: String): Unit
    Definition Classes
      CompileOutputCommon
11.  def ensuring(cond: (StandardCompileClient) ⇒ Boolean, msg: ⇒ Any): StandardCompileClient
    Implicit
      This member is added by an implicit conversion from StandardCompileClient to Ensuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (StandardCompileClient) ⇒ Boolean): StandardCompileClient
    Implicit
      This member is added by an implicit conversion from StandardCompileClient to Ensuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: ⇒ Any): StandardCompileClient
    Implicit
      This member is added by an implicit conversion from StandardCompileClient to Ensuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): StandardCompileClient
    Implicit
      This member is added by an implicit conversion from StandardCompileClient to Ensuring[StandardCompileClient] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  val errorMarkers: Set[String]
    Definition Classes
      HasCompileSocket
18.  def fatal(msg: String): Nothing
    Definition Classes
      CompileOutputCommon
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
20.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from StandardCompileClient to StringFormat[StandardCompileClient] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
21.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
23.  def info(msg: String): Unit
    Definition Classes
      CompileOutputCommon
24.  def isErrorMessage(msg: String): Boolean
    Definition Classes
      HasCompileSocket
25.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
29.  def process(args: Array[String]): Boolean
30.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
31.  def toString(): String
    Definition Classes
      AnyRef → Any
32.  var verbose: Boolean
    Definition Classes
      StandardCompileClient → CompileOutputCommon
33.  val versionMsg: String
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
37.  def warn(msg: String): Unit
    Definition Classes
      CompileOutputCommon
38.  def →[B](y: B): (StandardCompileClient, B)
    Implicit
      This member is added by an implicit conversion from StandardCompileClient to ArrowAssoc[StandardCompileClient] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from CompileOutputCommon

### Inherited from HasCompileSocket

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from StandardCompileClient to any2stringadd[StandardCompileClient]

### Inherited by implicit conversion StringFormat from StandardCompileClient to StringFormat[StandardCompileClient]

### Inherited by implicit conversion Ensuring from StandardCompileClient to Ensuring[StandardCompileClient]

### Inherited by implicit conversion ArrowAssoc from StandardCompileClient to ArrowAssoc[StandardCompileClient]

### Ungrouped